Skip to main content
GET
/
credits
/
wallet
/
Get credit wallet
curl --request GET \
  --url https://earthcare.network/api/v1/credits/wallet/ \
  --header 'Authorization: <api-key>'
{
  "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "organization_name": "<string>",
  "balance": "142.50",
  "reserved": "0.00",
  "currency": "CREDITS",
  "monthly_credit_cap": "1000.00",
  "ai_paused": true
}

Authorizations

Authorization
string
header
required

DRF user token. Format: Token <token>

Query Parameters

organization_id
string<uuid>
required

Your org UUID (see GET /auth/me/ → organizations[].id)

Response

Wallet balance + limits

organization_id
string<uuid>
organization_name
string
balance
string

Credits (1 credit = $0.10)

Example:

"142.50"

reserved
string
Example:

"0.00"

currency
string
Example:

"CREDITS"

monthly_credit_cap
string | null
Example:

"1000.00"

ai_paused
boolean